AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 5.0This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Run an ingest pipeline against a set of provided documents.
You can either specify an existing pipeline to use with the provided documents or supply a pipeline definition in the body of the request.
Unique identifier for the document.
This ID must be unique within the _index.
_indexstring
Name of the index containing the document.
_sourceobjectrequired
JSON body for the document.
pipelineobject
The pipeline to test.
If you don't specify the pipeline request path parameter, this parameter is required.
If you specify both this and the request path parameter, the API only uses the request path parameter.
Processors used to perform transformations on documents before indexing.
Processors run sequentially in the order specified.
versionnumber
Version number used by external systems to track ingest pipelines.
deprecatedboolean · default: false
Marks this ingest pipeline as deprecated.
When a deprecated ingest pipeline is referenced as the default or final pipeline when creating or updating a non-deprecated index template, Elasticsearch will emit a deprecation warning.
_metaobject
Arbitrary metadata about the ingest pipeline. This map is not automatically generated by Elasticsearch.
Unique identifier for the document. This ID must be unique within the _index.
_indexstringrequired
Name of the index containing the document.
_ingestobjectrequired
_redactobjectThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 8.16This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
_is_redactedbooleanrequired
indicates if document has been redacted
timestampuniononeOfrequired
One of:stringornumber
pipelinestring
_routingstring
Value used to send the document to a specific primary shard.
_sourcemapstring to objectrequired
JSON body for the document.
_versionuniononeOf
One of:numberorstring
_version_typeenum
Supported values include:
internal: Use internal versioning that starts at 1 and increments with each update or delete.
external: Only index the document if the specified version is strictly higher than the version of the stored document or if there is no existing document.
external_gte: Only index the document if the specified version is equal or higher than the version of the stored document or if there is no existing document.
NOTE: The external_gte version type is meant for special use cases and should be used with care.
If used incorrectly, it can result in loss of data.
Values:internalexternalexternal_gte
errorobject
typestringrequired
The type of error
reasonunionstringnullable
A human-readable explanation of the error, in English.
One of:string
stack_tracestring
The server stack trace. Present only if the error_trace=true parameter was sent with the request.